VOP_INOTIFY(9)

NAME
VOP_INOTIFY - vnode inotify interface

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
int
VOP_INOTIFY(struct, vnode, *vp, struct, vnode, *dvp, struct, componentname, *cnp, int, event, uint32_t, cookie);
int
VOP_INOTIFY_ADD_WATCH(struct, vnode, *vp, struct, inotify_softc, *sc, uint32_t, mask, uint32_t, *wdp, struct, thread, *td);

DESCRIPTION
The VOP_INOTIFY() operation notifies the inotify(2) subsystem of a file system event on a vnode. The dvp and cnp arguments are optional and are only used to obtain a file name for the event. If they are omitted, the inotify subsystem will use the file name cache to find a name for the vnode, but this is more expensive.

The VOP_INOTIFY_ADD_WATCH() operation is for internal use by the inotify subsystem to add a watch to a vnode.

LOCKS
The VOP_INOTIFY() operation does not assume any particular vnode lock state. The VOP_INOTIFY_ADD_WATCH() operation should be called with the vnode locked.

RETURN VALUES
Zero is returned on success, otherwise an error code is returned.

SEE ALSO
inotify(2), vnode(9)